Providing an access token or a partial auth token and an email OTP, acquire a sudo token or a sudo, refresh and access token respectively
A valid access token (proof of identity) can be obtained via the /accesstoken endpoint. It has a 5 minutes validity period.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/user/2fa/email-otp/authenticate" \ -H "Content-Type: application/json" \ -d '{ "otp": "string" }'{ "accessToken": "string", "refreshToken": "string", "sudoToken": "string"}Check a password reset OTP POST
Check a password reset OTP, to see if it is valid. The OTP is not consumed by this check, but a failed check does use up one of its attempts
Verify a recovery code POST
Providing an access token or a partial auth token and a recovery code, acquire a sudo token or a sudo, refresh and access token respectively
^[0-9]+$6 <= length <= 6